// 1. Import utilities from `astro:content`
import { z, defineCollection } from 'astro:content';
// 2. Define your collection(s)
const blogCollection = defineCollection({ 
	type: "content",
	schema: z.object({
		title: z.string(),
		description: z.string(),
		author: z.string().default("Anonymous"),
		publishDate: z.date(),
		image: z.string().default("/temp.jpg"),
		relatedPosts: z.array(z.string()).optional(),
		language: z.enum(['en', 'cs', 'de', 'fr'])
	})
 });
// 3. Export a single `collections` object to register your collection(s)
//    This key should match your collection directory name in "src/content"
export const collections = {
  'blog': blogCollection,
};